Index: c/src/lib/libcpu/powerpc/mpc750/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc750/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
+++ c/src/lib/libcpu/powerpc/mpc750/Makefile.in	(revision 6693a68ffa99bfba4a7a8bd57337bf21c550fb1e)
@@ -6,22 +6,22 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-top_builddir = ../../../../../..
-subdir = c/src/lib/libcpu/mpc750
+top_builddir = ../../..
+subdir = libcpu/powerpc/mpc750
 
-INSTALL = @INSTALL@
-
-RTEMS_ROOT = $(top_srcdir)/@RTEMS_TOPdir@
+RTEMS_ROOT = @RTEMS_ROOT@
 PROJECT_ROOT = @PROJECT_ROOT@
 
 VPATH = @srcdir@
 
-include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/directory.cfg
+
+INSTALL_CHANGE = @INSTALL_CHANGE@
 
 # wrapup is the one that actually builds and installs the library
 #  from the individual .rel files built in other directories
-SUB_DIRS=exceptions mmu clock wrapup
+SUB_DIRS = exceptions mmu clock wrapup
 
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
 	cd $(top_builddir) \
 	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc750/clock/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc750/clock/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
+++ c/src/lib/libcpu/powerpc/mpc750/clock/Makefile.in	(revision 6693a68ffa99bfba4a7a8bd57337bf21c550fb1e)
@@ -5,28 +5,32 @@
 @SET_MAKE@
 srcdir = @srcdir@
-VPATH = @srcdir@
-RTEMS_ROOT = @top_srcdir@
+top_srcdir = @top_srcdir@
+top_builddir = ../../../..
+subdir = libcpu/powerpc/mpc750/clock
+
+RTEMS_ROOT = @RTEMS_ROOT@
 PROJECT_ROOT = @PROJECT_ROOT@
 
-INSTALL = @INSTALL@
+VPATH = @srcdir@
 
 # C source names, if any, go here -- minus the .c
-C_PIECES=c_clock
-C_FILES=$(C_PIECES:%=%.c)
-C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+C_PIECES = c_clock
+C_FILES = $(C_PIECES:%=%.c)
+C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
 
-H_FILES=$(wildcard $(srcdir)/*.h)
+H_FILES =
 
 # Assembly source names, if any, go here -- minus the .S
-S_PIECES=
-S_FILES=$(S_PIECES:%=%.S)
-S_O_FILES=$(S_FILES:%.S=${ARCH}/%.o)
+S_PIECES =
+S_FILES = $(S_PIECES:%=%.S)
+S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
 
-SRCS=$(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
+SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
+OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
+INSTALL_CHANGE = @INSTALL_CHANGE@
 
 #
@@ -34,11 +38,11 @@
 #
 
-DEFINES  +=
+DEFINES +=
 CPPFLAGS +=
-CFLAGS   +=
+CFLAGS +=
 
-LD_PATHS  +=
-LD_LIBS   +=
-LDFLAGS   +=
+LD_PATHS +=
+LD_LIBS +=
+LDFLAGS +=
 
 #
@@ -52,6 +56,10 @@
 CLOBBER_ADDITIONS +=
 
-all:	${ARCH} $(SRCS) $(OBJS)
+all: ${ARCH} $(SRCS) $(OBJS)
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install:  all
+install: all
+
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
+	cd $(top_builddir) \
+	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc750/exceptions/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc750/exceptions/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
+++ c/src/lib/libcpu/powerpc/mpc750/exceptions/Makefile.in	(revision 6693a68ffa99bfba4a7a8bd57337bf21c550fb1e)
@@ -5,30 +5,40 @@
 @SET_MAKE@
 srcdir = @srcdir@
-VPATH = @srcdir@
-RTEMS_ROOT = @top_srcdir@
+top_srcdir = @top_srcdir@
+top_builddir = ../../../..
+subdir = libcpu/powerpc/mpc750/exceptions
+
+RTEMS_ROOT = @RTEMS_ROOT@
 PROJECT_ROOT = @PROJECT_ROOT@
 
-INSTALL = @INSTALL@
+VPATH = @srcdir@
 
-PGM=${ARCH}/exceptions.rel
+PGM = ${ARCH}/exceptions.rel
 
 # C source names, if any, go here -- minus the .c
-C_PIECES=raw_exception
-C_FILES=$(C_PIECES:%=%.c)
-C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+C_PIECES = raw_exception
+C_FILES = $(C_PIECES:%=%.c)
+C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
 
-H_FILES=$(wildcard $(srcdir)/*.h)
+H_FILES = $(srcdir)/raw_exception.h
 
 # Assembly source names, if any, go here -- minus the .S
-S_PIECES=asm_utils
-S_FILES=$(S_PIECES:%=%.S)
-S_O_FILES=$(S_FILES:%.S=${ARCH}/%.o)
+S_PIECES = asm_utils
+S_FILES = $(S_PIECES:%=%.S)
+S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
 
-SRCS=$(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
+SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
+OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
+INSTALL_CHANGE = @INSTALL_CHANGE@
+mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
+
+INSTALLDIRS = $(PROJECT_INCLUDE)/libcpu
+
+$(INSTALLDIRS):
+	@$(mkinstalldirs) $(INSTALLDIRS)
 
 #
@@ -36,11 +46,11 @@
 #
 
-DEFINES  +=
+DEFINES +=
 CPPFLAGS +=
-CFLAGS   +=
+CFLAGS +=
 
-LD_PATHS  +=
-LD_LIBS   +=
-LDFLAGS   +=
+LD_PATHS +=
+LD_LIBS +=
+LDFLAGS +=
 
 #
@@ -57,9 +67,13 @@
 	$(make-rel)
 
-preinstall:
-	$(INSTALL_CHANGE) -m 444 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
+preinstall: 
+	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
 
-all:	${ARCH} $(SRCS) preinstall $(PGM)
+all: ${ARCH} $(SRCS) preinstall $(PGM)
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install:  all
+install: all
+
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
+	cd $(top_builddir) \
+	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc750/mmu/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc750/mmu/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
+++ c/src/lib/libcpu/powerpc/mpc750/mmu/Makefile.in	(revision 6693a68ffa99bfba4a7a8bd57337bf21c550fb1e)
@@ -5,30 +5,40 @@
 @SET_MAKE@
 srcdir = @srcdir@
-VPATH = @srcdir@
-RTEMS_ROOT = @top_srcdir@
+top_srcdir = @top_srcdir@
+top_builddir = ../../../..
+subdir = libcpu/powerpc/mpc750/mmu
+
+RTEMS_ROOT = @RTEMS_ROOT@
 PROJECT_ROOT = @PROJECT_ROOT@
 
-INSTALL = @INSTALL@
+VPATH = @srcdir@
 
-PGM=${ARCH}/mmu.rel
+PGM = ${ARCH}/mmu.rel
 
 # C source names, if any, go here -- minus the .c
-C_PIECES=bat
-C_FILES=$(C_PIECES:%=%.c)
-C_O_FILES=$(C_PIECES:%=${ARCH}/%.o)
+C_PIECES = bat
+C_FILES = $(C_PIECES:%=%.c)
+C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
 
-H_FILES=$(wildcard $(srcdir)/*.h)
+H_FILES = $(srcdir)/bat.h
 
 # Assembly source names, if any, go here -- minus the .S
-S_PIECES=mmuAsm
-S_FILES=$(S_PIECES:%=%.S)
-S_O_FILES=$(S_FILES:%.S=${ARCH}/%.o)
+S_PIECES = mmuAsm
+S_FILES = $(S_PIECES:%=%.S)
+S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
 
-SRCS=$(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
-OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
+SRCS = $(C_FILES) $(CC_FILES) $(H_FILES) $(S_FILES)
+OBJS = $(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
+INSTALL_CHANGE = @INSTALL_CHANGE@
+mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
+
+INSTALLDIRS = $(PROJECT_INCLUDE)/libcpu
+
+$(INSTALLDIRS):
+	@$(mkinstalldirs) $(INSTALLDIRS)
 
 #
@@ -36,11 +46,11 @@
 #
 
-DEFINES  +=
+DEFINES +=
 CPPFLAGS +=
-CFLAGS   +=
+CFLAGS +=
 
-LD_PATHS  +=
-LD_LIBS   +=
-LDFLAGS   +=
+LD_PATHS +=
+LD_LIBS +=
+LDFLAGS +=
 
 #
@@ -57,9 +67,13 @@
 	$(make-rel)
 
-preinstall:
-	$(INSTALL_CHANGE) -m 444 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
+preinstall: 
+	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)/libcpu
 
-all:	${ARCH} $(SRCS) preinstall $(PGM)
+all: ${ARCH} $(SRCS) preinstall $(PGM)
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-install:  all
+install: all
+
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
+	cd $(top_builddir) \
+	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/lib/libcpu/powerpc/mpc750/wrapup/Makefile.in
===================================================================
--- c/src/lib/libcpu/powerpc/mpc750/wrapup/Makefile.in	(revision fcee56c0b16536ae38f5cbb5946a458160b60dc6)
+++ c/src/lib/libcpu/powerpc/mpc750/wrapup/Makefile.in	(revision 6693a68ffa99bfba4a7a8bd57337bf21c550fb1e)
@@ -6,24 +6,25 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-top_builddir = ../../../../../../..
-subdir = c/src/lib/libcpu/powerpc/mpc750/wrapup
+top_builddir = ../../../..
+subdir = libcpu/powerpc/mpc750/wrapup
 
-INSTALL = @INSTALL@
-
-RTEMS_ROOT = $(top_srcdir)/@RTEMS_TOPdir@
+RTEMS_ROOT = @RTEMS_ROOT@
 PROJECT_ROOT = @PROJECT_ROOT@
 
 VPATH = @srcdir@
 
-PROC_SPECIFIC_PIECES=exceptions mmu clock
-GENERIC_PIECES=
+PROC_SPECIFIC_O_PIECES = exceptions mmu clock
+GENERIC_PIECES =
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS=$(foreach piece, $(PROC_SPECIFIC_PIECES), ../../$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/*.o) \
-     $(foreach piece, $(GENERIC_PIECES), ../../$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/*.o)
-LIB=$(ARCH)/libcpuspec.a
+OBJS = $(foreach piece, $(PROC_SPECIFIC_O_PIECES), \
+    ../../$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/*.o) $(foreach piece, \
+    $(GENERIC_PIECES), ../../$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/*.o)
+LIB = $(ARCH)/libcpuspec.a
 
-include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(RTEMS_ROOT)/make/lib.cfg
+
+INSTALL_CHANGE = @INSTALL_CHANGE@
 
 #
@@ -31,11 +32,11 @@
 #
 
-DEFINES  +=
+DEFINES +=
 CPPFLAGS +=
-CFLAGS   +=
+CFLAGS +=
 
-LD_PATHS  +=
-LD_LIBS   +=
-LDFLAGS   +=
+LD_PATHS +=
+LD_LIBS +=
+LDFLAGS +=
 
 #
@@ -52,9 +53,9 @@
 	echo $(OBJ)
 	$(make-library)
-	$(CP) $(LIB) ..
+	cp $(LIB) ..
 
-all:	${ARCH} $(SRCS) $(LIB)
+all: ${ARCH} $(SRCS) $(LIB)
 
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
 	cd $(top_builddir) \
 	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
